Fix for libc++abi when using -Wl,--as-needed.

The cmake files for libc++abi and the unwinder weren't linking against
libpthread or an unwind library. If the tests were linked with
-Wl,--as-needed, these libraries wouldn't be linked, causing them to
fail.

Patch contributed by İsmail Dönmez.


git-svn-id: https://llvm.org/svn/llvm-project/libcxxabi/trunk@212958 91177308-0d34-0410-b5e6-96231b3b80d8
3 files changed
tree: e55be9b2767c3ceffdac9a1fbf2274a7365eae35
  1. CMakeLists.txt
  2. CREDITS.TXT
  3. LICENSE.TXT
  4. cmake/
  5. include/
  6. lib/
  7. src/
  8. test/
  9. www/